Bug 249648 - HwCert catalog should refuse to accept new result rpms once the cert is closed.
HwCert catalog should refuse to accept new result rpms once the cert is closed.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: web site (Show other bugs)
1.0
All Linux
high Severity low
: ---
: ---
Assigned To: XINSUN
Yu Shao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 22:34 EDT by YangKun
Modified: 2008-06-23 03:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: (2.18rh) 2008/05/23 push
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-23 03:36:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pls review. (1.25 KB, patch)
2008-05-15 11:22 EDT, XINSUN
no flags Details | Diff
Patch Improve: (1.42 KB, patch)
2008-05-19 06:39 EDT, XINSUN
no flags Details | Diff
Patch Improve: (1.46 KB, patch)
2008-05-19 20:40 EDT, XINSUN
no flags Details | Diff
Patch Improve: (1.46 KB, patch)
2008-05-19 22:20 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description YangKun 2007-07-25 22:34:44 EDT
Description of problem:
our HwCert catalog has a flaw :
    For example ,let's say machineA is certified against x86_64 arch 
only, certified against RHEL5, the cert ID is 111111, and we have 
already posted it to public. But some days later, the vendor wants to 
certify this machineA against i386 arch and also against RHEL5 as well, 
and they just rudely upload the i386 result rpms to the posted 
cert#111111 and ask us to check the i386 results . In this case, our 
HwCert catalog will accept the i386 result rpms and automatically add 
"i386" into the "Platforms" area, meanwhile, the cert#111111 remains 
closed and is visible to public. Which means we have not check the new 
i386 results yet, but if someone query cert#111111 at this time, he will 
see machineA is certified against both i386 and x86_64. This is not correct.

and here is an example --> 
https://hardware.redhat.com/hwcert/show.cgi?id=247737

AFAIK, if vendors want to expand their certifications, they need to 
create new cert requests against the same machine and leave the posted 
certs un-touched. But some vendors don't know this process.  So my 
concern is : can we make the HwCert catalog refuse to accept new result 
rpms once the cert is closed ?(at least , treat the result rpms as 
normal attachments, do not read the result details)
Comment 1 XINSUN 2008-05-15 11:22:30 EDT
Created attachment 305500 [details]
pls review.
Comment 2 XINSUN 2008-05-19 06:39:40 EDT
Created attachment 305922 [details]
Patch Improve:

1. Forbid the vendor to reopen a cert.
2. Add the text guide info as Rob's said to the vendor who want to reopen the
cert.

Pls review. 
nicho
Comment 3 Rob Landry 2008-05-19 14:29:22 EDT
Looks pretty good but the statement says the bug is closed and public; but the
'[% IF' doesn't seem to check if the bug is public?
Comment 4 XINSUN 2008-05-19 20:40:15 EDT
Created attachment 306039 [details]
Patch Improve:

1. narrow and add the condition: "public" cert. (If bug is closed && user is
not hwcert_edit && bug is public, then forbid the reopen action and give the
text guide info.)
2. have test it well.

pls review.


Best Regards!
Nicho
Comment 5 Rob Landry 2008-05-19 21:56:51 EDT
wrap the [% IF %] around the whole tr, and otherwise the patch looks good to me;
if it's tested to work go ahead and check it in.
Comment 6 XINSUN 2008-05-19 22:20:40 EDT
Created attachment 306073 [details]
Patch Improve:

1.warp the <tr> with [% IF %]
2. test well.
Comment 7 XINSUN 2008-05-19 22:48:06 EDT
Patch has checked into cvs

Note You need to log in before you can comment on or make changes to this bug.